%define upstream_name    WebFetch
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl module to download and save information from the Web
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://cpan.perl.org/modules/by-module/WebFetch/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Calc)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::LinkExtor)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Locale::Country)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Atom::Client)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::RSS)
BuildRequires: perl(Template)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

Requires:   perl-Locale-Codes
Requires:   perl-Date-Calc
Requires:   perl-XML-Parser

%description
WebFetch is a Perl module to download and save information from the Web, and
to display on the Web.  It will download from sites such as CNet, CNN,
Freshmeat, Slashdot, LinuxToday, Yahoo, and more.  It can even export your
site's news for other sites to include in their web pages.

%prep 
%setup -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

rm -f t/pod-coverage.t

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} DESTDIR=$RPM_BUILD_ROOT install

%files
%doc Changes META.yml MYMETA.yml README TODO
%{perl_vendorlib}/WebFetch*
%{perl_vendorlib}/*.pod
%_mandir/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.130.0-7pclos2017
- rebuild against updates

